# Bitbucket hardcodes commit hash even in tag tarballs...
%define tarname JohnGabrielUK-hijinx
%define commit  f249ee5b7ea1

Name:           hijinx
Version:        1.3.0
Release:        %mkrel 3
Summary:        A game about platforming, curses, and turtles
Group:          Games/Arcade
License:        GPLv3 and CC-BY
URL:            https://johngabrieluk.itch.io/hijinx-enhanced-edition
Source0:        https://bitbucket.org/JohnGabrielUK/hijinx/get/%{version}.tar.bz2#/%{tarname}-%{commit}.tar.bz2
Source1:        export_presets.cfg

BuildArch:      noarch
BuildRequires:  godot3-headless
BuildRequires:  icoutils
Requires:       godot3-runner

%description
Hijinx is a game of pure platforming. There are no enemies to thwart,
and no grand quests to complete: just you, the level exit, and an
improbable number of spikes on almost every wall between the two.

But it's never that simple: sometimes you can't touch the ground,
sometimes gravity is on the fritz, and every so often, the level is
filled with coins we nicked from the plumber next door. To win the
game, you must collect every card in every level; and before every card
is another challenge to complete.

%prep
%autosetup -p1 -n %{tarname}-%{commit}

cp %{_sourcedir}/export_presets.cfg .

%build
godot3-headless --export-pack "Linux/X11" %{name}.pck

%install
install -D -m644 %{name}.pck %{buildroot}%{_gamesdatadir}/%{name}/%{name}.pck

cat << EOF > %{name}.sh
#!/bin/sh
GAMENAME=%{name}
GAMEDIR=%{_gamesdatadir}/\${GAMENAME}
exec godot3-runner --path \${GAMEDIR} --main-pack \${GAMEDIR}/\${GAMENAME}.pck "$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

icotool -x icon.ico
install -D -m644 icon_1_256x256x32.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Hijinx
GenericName=Platformer game
Comment=A game about platforming, curses, and turtles
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ActionGame;
EOF

%files
%doc README.md
%license LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png


%changelog
* Sat Mar 04 2023 akien <akien> 1.3.0-3.mga9
+ Revision: 1947497
- Adapt requires and script for godot3 package

* Thu Mar 24 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1825453
- Mageia 9 Mass Rebuild

* Mon Nov 09 2020 akien <akien> 1.3.0-1.mga8
+ Revision: 1643892
- Version 1.3.0

* Fri Oct 23 2020 akien <akien> 1.2.0-1.mga8
+ Revision: 1638811
- Version 1.2.0

* Wed Oct 21 2020 akien <akien> 1.1.0-2.mga8
+ Revision: 1637599
- Use --export-pack with Godot 3.2 for PCK only export
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jul 29 2019 akien <akien> 1.1.0-1.mga8
+ Revision: 1424828
- imported package hijinx

